package intrinsic.mx.events;

public class ModuleEvent extends intrinsic.flash.events.ProgressEvent {

	/** Accessors */
	public intrinsic.mx.modules.IModuleInfo module;

	/** Variables */
	public String errorText;

	/** Constants */
	public static final String READY = "ready";
	public static final String PROGRESS = "progress";
	public static final String SETUP = "setup";
	public static final String VERSION = "version";
	public static final String UNLOAD = "unload";
	public static final String ERROR = "error";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ModuleEvent() {
}

public ModuleEvent(String arg0) {
}

public ModuleEvent(String arg0, boolean arg1) {
}

public ModuleEvent(String arg0, boolean arg1, boolean arg2) {
}

public ModuleEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public ModuleEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}

public ModuleEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5) {
}

public ModuleEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5, intrinsic.mx.modules.IModuleInfo arg6) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
